Subject: Re: bug#27647: 26.0.50; Line numbers implemented natively disappear momentarily when frame out of focus

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jul 2017 20:34:06 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Wed, 19 Jul 2017 15:13:31 +0000
> Cc: [email-masked]
> 
> I am still trying to find out what is doing that if something is doing that. Unfortunately no message statement
> inserted anywhere in my native linum enabling code is getting executed when this anomaly happens.
> 
>  You could add logging to your functions that turn off the line
>  numbers, and see what's in the log when this happens.
> 
> None of those message statements gets triggered.

I'd begin by removing your line-number setup and replacing it with a
much simpler one, which doesn't involve linum/nlinum, and instead
simply sets display-line-numbers.

If that doesn't help, I'd go on bisecting your customizations.

Alternatively, a reproducing recipe would be useful.

> You would have a better idea if there are any hooks in display engine that get affected by GTK..

None that I know of, sorry, not hooks which could somehow reset an
Emacs Lisp variable.